Subject: Re: bug#45109: GNOME: unable to change alert "beep" sound since staging merge

From: Bengt Richter <[email-masked]>
Date: Thu, 17 Dec 2020 15:01:04 +0100

Hi Mark, and who may be interested,

On +2020-12-14 19:11:51 -0500, Mark H Weaver wrote:
> reopen 45109
> thanks
> 
> Earlier, I wrote:
> > I initially tried Marius's idea to revert the dconf update, which
> > seemed to work, but now I find that I'm unable to reproduce the
> > problem, even with my original post-staging-merge system where I first
> > encountered it.
> 
> I spoke too soon.  Now the problem is happening again, after another
> system upgrade and reboot.  I don't have time right now to investigate
> further, but I'm reopening the bug.
> 
>      Thanks,
>        Mark

The same happened again to me -- i.e., my alert sound preference got reset.
This was after a pureos (debian based) update.
uname -a =-> Linux LionPure 4.19.0-13-amd64 #1 SMP Debian 4.19.160-2 (2020-11-28) x86_64 GNU/Linux

man 7 dconf =-> mentions that gsettings wraps unstable api gconf, so I poked
a little, but no time right now. HTH someone else go further :)

--8<---------------cut here---------------start------------->8---
$ gsettings list-recursively |egrep 'sound|beep'
org.gnome.desktop.sound input-feedback-sounds false
org.gnome.desktop.sound theme-name '__custom'
org.gnome.desktop.sound allow-volume-above-100-percent false
org.gnome.desktop.sound event-sounds true
org.gnome.rhythmbox.plugins seen-plugins ['fmradio', 'mpris', 'daap', 'rb', 'artsearch', 'replaygain', 'webremote', 'lyrics', 'dbus-media-server', 'im-status', 'rblirc', 'notification', 'grilo', 'audioscrobbler', 'soundcloud', 'sendto', 'mtpdevice', 'pythonconsole', 'ipod', 'magnatune']
org.gnome.desktop.a11y.keyboard slowkeys-beep-press false
org.gnome.desktop.a11y.keyboard bouncekeys-beep-reject false
org.gnome.desktop.a11y.keyboard slowkeys-beep-reject false
org.gnome.desktop.a11y.keyboard feature-state-change-beep false
org.gnome.desktop.a11y.keyboard slowkeys-beep-accept false
org.gnome.desktop.a11y.keyboard stickykeys-modifier-beep false
--8<---------------cut here---------------end--------------->8---

As you recall from previously (here I've re-selected sonar.ogg :),
--8<---------------cut here---------------start------------->8---
$ find ~/ -name '*__custom*'
/home/bokr/.local/share/sounds/__custom
$ find ~/ -name '*__custom*'|xargs ls -l
total 4
lrwxrwxrwx 1 bokr bokr 48 Dec 17 08:52 bell-terminal.ogg -> /usr/share/sounds/gnome/default/alerts/sonar.ogg
lrwxrwxrwx 1 bokr bokr 48 Dec 17 08:52 bell-window-system.ogg -> /usr/share/sounds/gnome/default/alerts/sonar.ogg
-rw-r--r-- 1 bokr bokr 61 Dec 10 12:11 index.theme
--8<---------------cut here---------------end--------------->8---

BTW, do you or anyone know if there is a CRUD[1]-log that can be enabled,
to log *EVERY* CRUD change to any persistent storage during system
(debian in this case) updates? That can't be a new idea ;)
(Maybe it's hard in the context of something signed that runs privileged
to do updates before rebooting to grub? )

Also, is there a standard policy somewhere for preserving/migrating content state
when installing a replacement storage box for the content?

If it is too much work to write migration code when storage internals or apis
change, couldn't it just be policy to mark the old box as box.old_NNN instead
of deleting/overwiting it, and emit (and log) a simple hint?

[1] https://en.wikipedia.org/wiki/Create,_read,_update_and_delete

-- 
Regards,
Bengt Richter